import RandExp from 'randexp';
import { SubstitutionMap, RandExpOptions, GenericObject } from './types';
export declare const processInputPattern: (pattern: string | RegExp, randexpOptions: RandExpOptions) => {
    randexpObject: RandExp;
    substitionMap: SubstitutionMap;
    randexpPattern: string;
};
export declare const formatCounter: (input: {
    value: number | string;
    numberFormat?: Intl.NumberFormat | undefined;
    length: number;
}) => string;
export declare const getArgs: (funcName: string, argIndexes: number[], customArgs: any, captureGroups: string[], data: GenericObject | undefined) => any[];
export declare const parseGeneratorOutput: (counterOutput: string | number | IteratorYieldResult<any>) => any;
export declare const ESCAPED_OPEN_ANGLE_BRACKET = "L1TERAl_b@CKSL@SH_0pen";
export declare const ESCAPED_CLOSE_ANGLE_BRACKET = "L1TERAl_b@CKSL@SH_cl0se";
